> ## Documentation Index
> Fetch the complete documentation index at: https://upstash-fix-issues-on-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Index Info

> Returns some information about the index; such as `vectorCount`, `indexSize`, `dimension` and `similarityFunction`.

Info will be updated eventually, so it might take some time to see the effect of changes in this endpoint.

## Request

This request doesn't require any additional data.

## Response

<ResponseField name="vectorCount" type="number" required>
  The number of vectors in the index, that are ready to use.
</ResponseField>

<ResponseField name="pendingVectorCount" type="number" required>
  The number of vectors in the index, that are still processing and not ready to
  use.
</ResponseField>

<ResponseField name="indexSize" type="number" required>
  The total size of the index, in **bytes**.
</ResponseField>

<ResponseField name="dimension" type="number" required>
  Dimension of the vectors.
</ResponseField>

<ResponseField name="similarityFunction" type="string" required>
  Name of the similarity function used in indexing and queries.
</ResponseField>

<RequestExample>
  ```sh curl
  curl https://better-dodo-20522-us1-vector.upstash.io/info \
    -H "Authorization: Bearer YOUR_TOKEN"
  ```

  ```js Node
  const url = "https://better-dodo-20522-us1-vector.upstash.io/info"; // Replace with your index endpoint.
  const token = "YOUR_TOKEN"; // Replace with your actual token

  fetch(url, {
    method: "GET",
    headers: {
      Authorization: `Bearer ${token}`,
    },
  })
    .then((response) => response.json())
    .then((data) => console.log(data))
    .catch((error) => console.error("Error:", error));
  ```

  ```python Python
  import requests
  import json

  url = 'https://better-dodo-20522-us1-vector.upstash.io/info' # Replace with your index endpoint.
  token = 'YOUR_TOKEN' # Replace with your actual token.
  headers = {
      'Authorization': f'Bearer {token}',
  }

  response = requests.get(url, headers=headers)
  print(response.json())
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK
  {
    "result" : {
      "vectorCount" : 7,
      "pendingVectorCount" : 0,
      "indexSize" : 43501,
      "dimension" : 1536,
      "similarityFunction" : "COSINE"
    }
  }
  ```
</ResponseExample>
